## Tcl8.5.14/Tk8.5.14 Documentation > TclCmd > time

### Tcl/Tk Applications | Tcl Commands | Tk Commands | Tcl Library | Tk Library

### NAME

time - Time the execution of a script

### SYNOPSIS

time script ?count?

### DESCRIPTION

This command will call the Tcl interpreter count times to evaluate script (or once if count is not specified). It will then return a string of the form

    503 microseconds per iteration

which indicates the average amount of time required per iteration, in microseconds. Time is measured in elapsed time, not CPU time.

### EXAMPLE

Estimate how long it takes for a simple Tcl for loop to count to a thousand:

    time {
        for {set i 0} {$i<1000} {incr i} {
            # empty body
        }
    }

### SEE ALSO

clock

### KEYWORDS

script, time
Copyright © 1995-1997 Roger E. Critchlow Jr. Copyright © 1993 The Regents of the University of California. Copyright © 1994-1996 Sun Microsystems, Inc.